Dada 2 error - V1/V3 Sequences

Hi,

I’m working with paired-end reads from regions V1-V3 from 16s. I decided to use DADA2, but the software gave me an error “return code 1”.

In this case, I don’t want to make any trim for my sequences. I don’t know if dada2/qiime have issues analyzing regions V1-V3 instead of V3-V4.

My other solution was to make a quality filter in trimmomatic and then import those sequences in qiime, but my problem is that I don’t know how to make an table.qza file from this reads. I tried to re-run dada2/deblur to this sequences and I got an error too.

I also send the quality plot from my files.

Best,

Luis

1 Like

This can mean many different things — for this and all errors we really need the full error message to help decipher.

But before posting I recommend that you:

  1. look through the error message to find out what the key lines are that suggest where dada2 is breaking down
  2. Search the forum archive for some of these lines to see if anyone else has reported this error

We have troubleshot a lot of dada2 error code 1 errors on this forum, so I suspect you may be able to follow old advice to fix this — in any case let us know what you did to fix and if the steps above don’t get you on the right track then please give us the full message so we can help troubleshoot!

For the case of Dada2, I got the following message in the error log file:

Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.2 / RcppParallel: 4.4.3

  1. Filtering Error in filterAndTrim(unfiltsF, filtsF, unfiltsR, filtsR, truncLen = c(truncLenF, :
    These are the errors (up to 5) encountered in individual cores…
    Error : cannot allocate vector of size 108.3 Mb
    Error : cannot allocate vector of size 108.3 Mb
    Error in add(bin) :
    ‘Calloc’ could not allocate memory (100000000 of 1 bytes)
    Error : cannot allocate vector of size 108.3 Mb
    Execution halted
    Traceback (most recent call last):
    File “/home/leonardo467/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 234, in denoise_paired
    run_commands([cmd])
    File “/home/leonardo467/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/leonardo467/miniconda3/envs/qiime2-2019.7/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmp8sglyime/forward’, ‘/tmp/tmp8sglyime/reverse’, ‘/tmp/tmp8sglyime/output.tsv.biom’, ‘/tmp/tmp8sglyime/track.tsv’, ‘/tmp/tmp8sglyime/filt_f’, ‘/tmp/tmp8sglyime/filt_r’, ‘0’, ‘0’, ‘20’, ‘17’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘8’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/leonardo467/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2cli/commands.py”, line 327, in call
results = action(**arguments)
File “</home/leonardo467/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/decorator.py:decorator-gen-459>”, line 2, in denoise_paired
File “/home/leonardo467/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/home/leonardo467/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/home/leonardo467/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 249, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Hi,

I solved the problem.

It’s seems that dada2 had problems with my sequences because they all started with the same name.

Example:

Luis_S7_B_R_S118_L001_R1_0001.fastq.gz

I think that the program thought that I had repeated sequences and program crashed. What I do was change the sequences in something like this…

1S_S118_L001_R1_001.fastq.gz

After that I was able to use dada2 without problems.

2 Likes

@leonardo467,
Thanks for posting your solution!

I am not 100% sure that’s really what was going on… the error message would indicate a memory error, though perhaps the sample IDs were for some reason making dada2 implode.

In any case, glad you got it running!

1 Like